- NAME
- DESCRIPTION
- METHODS
  - LabelValue

# NAME

RT::Report::Entry - Base class of each entry in RT search charts

# DESCRIPTION

This class defines fundamental bits of code that each real entry in search charts like RT::Report::Tickets::Entry can subclass from.

Subclasses generally just need to follow the class name convension, e.g. the entry class for RT::Report::Tickets is RT::Report::Tickets::Entry.

# METHODS

## LabelValue

If you're pulling a value out of this collection and using it as a label, you may want the "cleaned up" version. This includes scrubbing 1970 dates and ensuring that dates are in local not DB timezones.

← Back to index